import request from '@/utils/request'
// 查询消费记录列表
export function listJxHorizonConsume(query) {
  return request({
    url: '/jx_horizon/jxHorizonConsume/list',
    method: 'get',
    params: query
  })
}
// 查询消费记录详细
export function getJxHorizonConsume(id) {
  return request({
    url: '/jx_horizon/jxHorizonConsume/get',
    method: 'get',
    params: {
     id: id.toString()
    }
  })
}
// 新增消费记录
export function addJxHorizonConsume(data) {
  return request({
    url: '/jx_horizon/jxHorizonConsume/add',
    method: 'post',
    data: data
  })
}
// 修改消费记录
export function updateJxHorizonConsume(data) {
  return request({
    url: '/jx_horizon/jxHorizonConsume/edit',
    method: 'put',
    data: data
  })
}
// 删除消费记录
export function delJxHorizonConsume(ids) {
  return request({
    url: '/jx_horizon/jxHorizonConsume/delete',
    method: 'delete',
    data:{
       ids:ids
    }
  })
}